<?php

namespace Schaffen\Core\Cep\Models;

use Illuminate\Database\Eloquent\Model;

class County extends Model
{
    protected $connection = 'dynamicdb';
    protected $table = "cep.municipio";
    protected $primaryKey = "mun_codigo";
    protected $fillable = [
        "mun_fk_uf_codigo", "mun_nome", "aux", "mun_codigo_ibge", "mun_codigo_tom", "mun_nome_ibge"
    ];

    public function uf(){
        return $this->belongsTo(Uf::class, 'mun_fk_uf_codigo');
    }
}
