<?php


namespace Schaffen\Core\Product\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Product\Models\Inventory;

class InventoryRepository extends Repository
{
    protected $model = Inventory::class;


    protected $searchableFields = [
        ['field' => 'loe_fk_pes_codigo'],
        ['field' => 'loe_fk_fil_codigo'],
        ['field' => 'loe_tipo'],
        ['field' => 'loe_status'],
        ['field' => 'loe_codigo '],
    ];

    protected function applyCustomFilters()
    {

        extract($this->filters);

    }
}